2017-09-26 17:58 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003908Kali Linux[All Projects] Kali Package Improvementpublic2017-04-05 07:58
Reporteredermi 
Assigned Torhertzog 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.2 
Target VersionFixed in Version2017.1 
Summary0003908: open-vm-tools are not managed through systemd
DescriptionAfter installing open-vm-tools and rebooting the system, the vmtoolsd daemon is not running. It is not possible to enable or start it via systemd because there is no service for open-vm-tools. In order to enable open-vm-tools, one needs to run "update-rc.d open-vm-tools enable" which is as far as I know the legacy way of doing service management. It may be better to provide a systemd service which is enabled after installing the package.

Steps To Reproduce1. Install kali rolling from install disk in a VMWare VM.
2. Install open-vm-tools
3. Reboot

Expected result:
open-vm-tools / vmtoolsd is running

Actual result:
open-vm-tools / vmtoolsd is not running

Current Workaroung:
# update-rc.d open-vm-tools enable
Additional InformationIn Debian, this works as it is supposed to.

The package which is installed on the affected kali system:

dpkg --status open-vm-tools
Package: open-vm-tools
Status: install ok installed
Priority: extra
Section: admin
Installed-Size: 2172
Maintainer: Bernd Zeimetz <bzed@debian.org>
Architecture: amd64
Version: 2:10.1.5-5055683-1
Replaces: open-vm-tools-desktop (<< 2:10.0.7-3227872-2~)
Depends: init-system-helpers (>= 1.18~), libc6 (>= 2.16), libdumbnet1 (>= 1.8), libfuse2 (>= 2.6), libgcc1 (>= 1:3.3), libglib2.0-0 (>= 2.31.8), libicu57 (>= 57 .1-1~), libmspack0 (>= 0.4), libprocps6, libssl1.0.2 (>= 1.0.2d), libstdc++6 (>= 5.2), libxerces-c3.1, libxml-security-c17v5, pciutils
Recommends: ethtool, zerofree, fuse, lsb-release
Suggests: open-vm-tools-desktop
Breaks: open-vm-tools-desktop (<< 2:10.0.7-3227872-2~)
Conffiles:
 /etc/init.d/open-vm-tools aeead08272288e4dfbaaf30d0c250726
 /etc/pam.d/vmtoolsd c8d3eb12e396c1824018eea75e5f9d56
 /etc/vmware-tools/guestproxy-ssl.conf e0c751111a3a72264eb2923b99bf868c
 /etc/vmware-tools/poweroff-vm-default 370468e5f19a306e29d39fbf7b72cf08
 /etc/vmware-tools/poweron-vm-default 370468e5f19a306e29d39fbf7b72cf08
 /etc/vmware-tools/resume-vm-default 370468e5f19a306e29d39fbf7b72cf08
 /etc/vmware-tools/scripts/vmware/network 4c4d4e0a6aed53400f9a0a614f6da216
 /etc/vmware-tools/statechange.subr 9ebfc4a9aa22fe49491ad4ac47d4d22c
 /etc/vmware-tools/suspend-vm-default 370468e5f19a306e29d39fbf7b72cf08
 /etc/vmware-tools/tools.conf b55d15e2c4be396aad709aeca91033d3
 /etc/vmware-tools/vgauth.conf f69cdba593a31a44773ccb174ba7d90c
 /etc/vmware-tools/vgauth/schemas/XMLSchema-hasFacetAndProperty.xsd 9308e8b04cbf 7d2748a287ace40878ea
 /etc/vmware-tools/vgauth/schemas/XMLSchema-instance.xsd e1059f0307358c02766193e 5e24c107b
 /etc/vmware-tools/vgauth/schemas/XMLSchema.dtd 86eafc21ca4ab293b7515e453c2b5dfe
 /etc/vmware-tools/vgauth/schemas/XMLSchema.xsd 54f86ef1a7a41930ba250151f143069b
 /etc/vmware-tools/vgauth/schemas/catalog.xml de4f8846e6e571af9feddd834b33a9be
 /etc/vmware-tools/vgauth/schemas/datatypes.dtd c61228050bb7c1c28a7f659f86a6e6c9
 /etc/vmware-tools/vgauth/schemas/saml-schema-assertion-2.0.xsd 612084dbce32687e ef288f56569de391
 /etc/vmware-tools/vgauth/schemas/xenc-schema.xsd 4e7be0e2cae08227fd9ddb261c1e4e 93
 /etc/vmware-tools/vgauth/schemas/xml.xsd d4314590e7e7aaf6bcd508be0fd1c614
 /etc/vmware-tools/vgauth/schemas/xmldsig-core-schema.xsd dff329f34df298d952d2e8 00a097c431
 /etc/vmware-tools/vm-support 10f158237a0002eb41e9cea5eaa62117
Description: Open VMware Tools for virtual machines hosted on VMware (CLI)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains only the core user-space programs and libraries.
Homepage: https://github.com/vmware/open-vm-tools
Attached Files

-Relationships
+Relationships

-Notes

~0006544

kawaxi (reporter)

Solution:

This can be easily fixed by updating rc.d

just do :

systemctl enable open-vm-tools.service

systemctl restart open-vm-tools.service

~0006553

edermi (reporter)

Hi kawaxi,

thanks for your answer. Of course the service can be enabled and started manually. Nevertheless, the service should be enabled and started after installing the package (which is also the upstream/Debian behavior).

~0006560

rhertzog (administrator)

Should be fixed with base-files 2017.1.0. If you install open-vm-tools while you have the new base-files, then it should be enabled by default.
+Notes

-Issue History
Date Modified Username Field Change
2017-03-07 09:37 edermi New Issue
2017-04-01 01:11 kawaxi Note Added: 0006544
2017-04-04 07:56 edermi Note Added: 0006553
2017-04-04 08:57 rhertzog Assigned To => rhertzog
2017-04-04 08:57 rhertzog Status new => assigned
2017-04-05 07:58 rhertzog Status assigned => resolved
2017-04-05 07:58 rhertzog Resolution open => fixed
2017-04-05 07:58 rhertzog Fixed in Version => 2017.1
2017-04-05 07:58 rhertzog Note Added: 0006560
+Issue History